Bug 119342 - EDITING: Pasted HTML table into Calc can't optimize width
Summary: EDITING: Pasted HTML table into Calc can't optimize width
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: HarfBuzz-regressions
  Show dependency treegraph
 
Reported: 2018-08-18 09:38 UTC by Daniel Oakey
Modified: 2019-09-02 09:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Oakey 2018-08-18 09:38:33 UTC
Description:
If I copy an HTML table from a web page, I can paste that table into Calc. However, if I right-click on the highlighted column headers and click "Optimal Width..." and click ok, the column will not optimize the width. The columns will likewise not auto-fit the width if I double click the column edges.

Steps to Reproduce:
1. Create a simple HTML table and save it to an file, ie: <table><tr><td>item 1</td><td>item 2</td></tr></table>
2. Open the HTML in your favorite internet browser
3. Highlight the text in the webpage and copy it to the cells in Calc
4. Attempt to set the columns to optimal width by double-clicking the edges between columns or by using the "Optimize Width" tool.

Actual Results:
Columns do not optimize width

Expected Results:
The columns should optimize width. Excel does not have this issue.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Daniel Oakey 2018-08-18 09:48:42 UTC
If any cells in a column contain text that will be interpreted as a number, the cells will optimize width to the width of that number. For example:

<table>
    <tr><td>item 1</td><td>item 2</td></tr>
    <tr><td>1</td><td>1</td></tr>
</table>
Comment 2 Heinz Repp 2018-08-23 08:04:39 UTC
Same bug bites me too: pasted table from Firefox to Calc, and optimze column width just resets columns to default width, leading to wrapped text and cut off numbers.
(Libreoffice 6.1.0.3 on Debian testing 64bit)
Comment 3 Heinz Repp 2018-08-23 08:07:53 UTC
Additional info: when I remove direct formatting from the pasted table, optimize column width works again like it should.
Comment 4 Xisco Faulí 2018-08-25 15:27:54 UTC
For testing this, I used https://www.w3schools.com/html/tryit.asp?filename=tryhtml_table

Regression introduced by:

author	Khaled Hosny <khaledhosny@eglug.org>	2016-11-02 23:52:06 +0200
committer	Khaled Hosny <khaledhosny@eglug.org>	2016-11-03 00:17:06 +0000
commit	8f2dd1df1d6cc94ebbc1149de72bc6d6dffa6533 (patch)
tree	db496889434c484a87b13ffcc4650d65e6672129
parent	c8be45889217c555e4bec92af838d0524ceba4e0 (diff)
Revert "Revert "Enable the new text layout engine by default""
This reverts commit 3950166877bf1308f9e449992e20b558342af825.
Comment 5 QA Administrators 2019-09-02 09:21:59 UTC
Dear Daniel Oakey,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug